# Generated by go2rpm 1.8.1
%bcond_without check
%global debug_package %{nil}

# https://github.com/hashicorp/consul
%global goipath         github.com/hashicorp/consul
Version:                1.15.2

%gometa -f

%global godevelheader %{expand:
Provides:               golang-github-hashicorp-consul-api-devel = %{version}-%{release}
Obsoletes:              golang-github-hashicorp-consul-api-devel < 1.9.1-8
Provides:               golang-github-hashicorp-consul-sdk-devel = %{version}-%{release}
Obsoletes:              golang-github-hashicorp-consul-sdk-devel < 0.7.0-6
}

%global common_description %{expand:
Consul is a tool for service discovery and configuration. Consul is distributed,
highly available, and extremely scalable.

Consul provides several key features:
 - Service Discovery - Consul makes it simple for services to register
   themselves and to discover other services via a DNS or HTTP interface.
   External services such as SaaS providers can be registered as well.
 - Health Checking - Health Checking enables Consul to quickly alert operators
   about any issues in a cluster. The integration with service discovery
   prevents routing traffic to unhealthy hosts and enables service level circuit
   breakers.
 - Key/Value Storage - A flexible key/value store enables storing dynamic
   configuration, feature flagging, coordination, leader election and more. The
   simple HTTP API makes it easy to use anywhere.
 - Multi-Datacenter - Consul is built to be datacenter aware, and can support
   any number of regions without complex configuration.
 - Service Segmentation - Consul Connect enables secure service-to-service
   communication with automatic TLS encryption and identity-based
   authorization.}

%global golicenses      LICENSE NOTICE.md
%global godocs          docs CHANGELOG.md INTERNALS.md README.md README-api.md README-sdk.md

Name:           %{goname}
Release:        %autorelease
Summary:        Distributed, highly available, and data center aware solution
License:        MIT and MPL-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
find ./* -maxdepth 0 -type d -not -name "api" -and -not -name "sdk" -and -not -name "_build" -exec rm -rf "{}" \;
rm -rf ./*.go
mv api/README.md README-api.md
mv sdk/README.md README-sdk.md

%generate_buildrequires
%go_generate_buildrequires

# %%build
# %%gobuild -o %%{gobuilddir}/bin/consul %%{goipath}

%install
%gopkginstall
# install -m 0755 -vd                     %%{buildroot}%%{_bindir}
# install -m 0755 -vp %%{gobuilddir}/bin/* %%{buildroot}%%{_bindir}/

%if %{with check}
%check
# needs consul
%gocheck -t api
%endif

# %%files
# %%license LICENSE NOTICE.md
# %%doc docs CHANGELOG.md INTERNALS.md README.md
# %%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
